> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Consulter un webhook

GET https://workflow-manager/api/webhooks/{webhookId}

Renvoie un webhook existant.

`tenantManager`

Également autorisés sans rôle : le propriétaire.

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-portail/webhooks/retrieve-webhook

## Authentication

- `Authorization` header (bearer token, required) — Authentification Bearer par jeton utilisateur ou jeton d'accès : `Authorization: Bearer <token>`.

## Request

### Path parameters

- `webhookId` (string, required) — L'identifiant du webhook.

## Response

### 200

Consulter un webhook

- `created` (long, required) — La date de création de l'entité.
- `endpointUrl` (string, required) — L'URL de l'endpoint du webhook.
- `id` (string, required) — L'identifiant du webhook.
- `notifiedEvents` (list of string, required) — Les types d'événements notifiés au webhook.
- `tenantId` (string, required) — L'identifiant du tenant auquel appartient le webhook.
- `updated` (long, required) — La date de dernière modification de l'entité.
- `customHeaders` (map from string to any, optional) — Une liste d'en-têtes personnalisés, chacun composé d'une clé et d'une valeur.
- `userId` (string, optional) — L'identifiant de l'utilisateur auquel appartient le webhook, dans le cas d'un webhook utilisateur.

## Errors

### 403 Forbidden Error

AuthenticatedUserDisabled : L'utilisateur authentifié est désactivé. ; MissingBearerToken : Un jeton Bearer est requis. ; TenantInactive : Le tenant est inactif et n'autorise aucune opération. ; UserGroupDisabled : Le groupe de l'utilisateur spécifié est désactivé. ; UserNotAllowed : L'utilisateur authentifié n'est pas autorisé à effectuer cette opération.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 404 Not Found Error

WebhookNotFound : Le webhook spécifié est introuvable.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Response**

```json
{
  "created": 1782821283257,
  "endpointUrl": "https://my-company.com/5KHPMAb5ibthpCKLGShhTtMN",
  "id": "wbh_4xjmH7egvqLaX2cD27CNxsYw",
  "notifiedEvents": [
    "commentCreated",
    "recipientRefused",
    "recipientFinished",
    "workflowStarted",
    "workflowStopped",
    "workflowFinished",
    "coManagerRemoved",
    "coManagerAdded"
  ],
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "updated": 1782821298087,
  "customHeaders": {
    "X-Test-Header": "TestValue"
  },
  "userId": "usr_JCwoLDH99mzqizvqyAYJx4gV"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/api/webhooks/webhookId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/api/webhooks/webhookId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/api/webhooks/webhookId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/api/webhooks/webhookId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://workflow-manager/api/webhooks/webhookId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://workflow-manager/api/webhooks/webhookId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;

var client = new RestClient("https://workflow-manager/api/webhooks/webhookId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/api/webhooks/webhookId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```